Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs	(revision 1172)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs	(revision 1173)
@@ -38,6 +38,12 @@
       this.scClientControl = new System.Windows.Forms.SplitContainer();
       this.tvClientControl = new System.Windows.Forms.TreeView();
-      this.lvClientControl = new System.Windows.Forms.ListView();
-      this.ilClientControl = new System.Windows.Forms.ImageList(this.components);
+      this.plClientDetails = new System.Windows.Forms.Panel();
+      this.lblState = new System.Windows.Forms.Label();
+      this.lblStateClient = new System.Windows.Forms.Label();
+      this.lblLogin = new System.Windows.Forms.Label();
+      this.lblLoginOn = new System.Windows.Forms.Label();
+      this.lblClientName = new System.Windows.Forms.Label();
+      this.btnClientDetailClose = new System.Windows.Forms.Button();
+      this.pbClientControl = new System.Windows.Forms.PictureBox();
       this.tpJobControl = new System.Windows.Forms.TabPage();
       this.scJobControl = new System.Windows.Forms.SplitContainer();
@@ -48,15 +54,12 @@
       this.scUserControl = new System.Windows.Forms.SplitContainer();
       this.tvUserControl = new System.Windows.Forms.TreeView();
+      this.plUserDetails = new System.Windows.Forms.Panel();
+      this.lblUserName = new System.Windows.Forms.Label();
+      this.btnUserControlClose = new System.Windows.Forms.Button();
+      this.pbUserControl = new System.Windows.Forms.PictureBox();
+      this.lvClientControl = new System.Windows.Forms.ListView();
+      this.ilClientControl = new System.Windows.Forms.ImageList(this.components);
       this.lvUserControl = new System.Windows.Forms.ListView();
       this.ilUserControl = new System.Windows.Forms.ImageList(this.components);
-      this.plClientDetails = new System.Windows.Forms.Panel();
-      this.lblState = new System.Windows.Forms.Label();
-      this.lblStateClient = new System.Windows.Forms.Label();
-      this.lblLogin = new System.Windows.Forms.Label();
-      this.lblLoginOn = new System.Windows.Forms.Label();
-      this.lblClientName = new System.Windows.Forms.Label();
-      this.btnClientDetailClose = new System.Windows.Forms.Button();
-      this.pbClientControl = new System.Windows.Forms.PictureBox();
-      this.pbUserControl = new System.Windows.Forms.PictureBox();
       this.plJobDetails = new System.Windows.Forms.Panel();
       this.lvSnapshots = new System.Windows.Forms.ListView();
@@ -77,7 +80,4 @@
       this.btnJobDetailClose = new System.Windows.Forms.Button();
       this.pbJobControl = new System.Windows.Forms.PictureBox();
-      this.plUserDetails = new System.Windows.Forms.Panel();
-      this.lblUserName = new System.Windows.Forms.Label();
-      this.btnUserControlClose = new System.Windows.Forms.Button();
       this.treeView2 = new System.Windows.Forms.TreeView();
       this.listView2 = new System.Windows.Forms.ListView();
@@ -90,4 +90,6 @@
       this.scClientControl.Panel2.SuspendLayout();
       this.scClientControl.SuspendLayout();
+      this.plClientDetails.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.pbClientControl)).BeginInit();
       this.tpJobControl.SuspendLayout();
       this.scJobControl.Panel1.SuspendLayout();
@@ -98,10 +100,8 @@
       this.scUserControl.Panel2.SuspendLayout();
       this.scUserControl.SuspendLayout();
-      this.plClientDetails.SuspendLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.pbClientControl)).BeginInit();
+      this.plUserDetails.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this.pbUserControl)).BeginInit();
       this.plJobDetails.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this.pbJobControl)).BeginInit();
-      this.plUserDetails.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this.fileSystemWatcher1)).BeginInit();
       this.SuspendLayout();
@@ -221,138 +221,4 @@
       this.tvClientControl.TabIndex = 0;
       this.tvClientControl.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.OnTVClientClicked);
-      // 
-      // lvClientControl
-      // 
-      this.lvClientControl.AllowDrop = true;
-      this.lvClientControl.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.lvClientControl.ImeMode = System.Windows.Forms.ImeMode.Off;
-      this.lvClientControl.LargeImageList = this.ilClientControl;
-      this.lvClientControl.Location = new System.Drawing.Point(0, 0);
-      this.lvClientControl.MultiSelect = false;
-      this.lvClientControl.Name = "lvClientControl";
-      this.lvClientControl.Size = new System.Drawing.Size(494, 346);
-      this.lvClientControl.TabIndex = 0;
-      this.lvClientControl.UseCompatibleStateImageBehavior = false;
-      this.lvClientControl.Click += new System.EventHandler(this.OnLVClientClicked);
-      // 
-      // ilClientControl
-      // 
-      this.ilClientControl.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilClientControl.ImageStream")));
-      this.ilClientControl.TransparentColor = System.Drawing.Color.Transparent;
-      this.ilClientControl.Images.SetKeyName(0, "monitor-green.png");
-      this.ilClientControl.Images.SetKeyName(1, "monitor-orange.png");
-      this.ilClientControl.Images.SetKeyName(2, "monitor-red.png");
-      // 
-      // tpJobControl
-      // 
-      this.tpJobControl.Controls.Add(this.scJobControl);
-      this.tpJobControl.Location = new System.Drawing.Point(4, 22);
-      this.tpJobControl.Name = "tpJobControl";
-      this.tpJobControl.Padding = new System.Windows.Forms.Padding(3);
-      this.tpJobControl.Size = new System.Drawing.Size(643, 352);
-      this.tpJobControl.TabIndex = 1;
-      this.tpJobControl.Text = "Job Control";
-      this.tpJobControl.UseVisualStyleBackColor = true;
-      // 
-      // scJobControl
-      // 
-      this.scJobControl.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.scJobControl.Location = new System.Drawing.Point(3, 3);
-      this.scJobControl.Name = "scJobControl";
-      // 
-      // scJobControl.Panel1
-      // 
-      this.scJobControl.Panel1.Controls.Add(this.tvJobControl);
-      // 
-      // scJobControl.Panel2
-      // 
-      this.scJobControl.Panel2.Controls.Add(this.lvJobControl);
-      this.scJobControl.Size = new System.Drawing.Size(637, 346);
-      this.scJobControl.SplitterDistance = 139;
-      this.scJobControl.TabIndex = 1;
-      // 
-      // tvJobControl
-      // 
-      this.tvJobControl.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.tvJobControl.Location = new System.Drawing.Point(0, 0);
-      this.tvJobControl.Name = "tvJobControl";
-      this.tvJobControl.Size = new System.Drawing.Size(139, 346);
-      this.tvJobControl.TabIndex = 2;
-      this.tvJobControl.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.OnTVJobControlClicked);
-      // 
-      // lvJobControl
-      // 
-      this.lvJobControl.AllowDrop = true;
-      this.lvJobControl.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.lvJobControl.LargeImageList = this.ilJobControl;
-      this.lvJobControl.Location = new System.Drawing.Point(0, 0);
-      this.lvJobControl.MultiSelect = false;
-      this.lvJobControl.Name = "lvJobControl";
-      this.lvJobControl.Size = new System.Drawing.Size(494, 346);
-      this.lvJobControl.TabIndex = 0;
-      this.lvJobControl.UseCompatibleStateImageBehavior = false;
-      this.lvJobControl.MouseMove += new System.Windows.Forms.MouseEventHandler(this.lvJobControl_MouseMove);
-      this.lvJobControl.Click += new System.EventHandler(this.OnLVJobControlClicked);
-      // 
-      // ilJobControl
-      // 
-      this.ilJobControl.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilJobControl.ImageStream")));
-      this.ilJobControl.TransparentColor = System.Drawing.Color.Transparent;
-      this.ilJobControl.Images.SetKeyName(0, "PlayHS.png");
-      // 
-      // tpUserControl
-      // 
-      this.tpUserControl.Controls.Add(this.scUserControl);
-      this.tpUserControl.Location = new System.Drawing.Point(4, 22);
-      this.tpUserControl.Name = "tpUserControl";
-      this.tpUserControl.Padding = new System.Windows.Forms.Padding(3);
-      this.tpUserControl.Size = new System.Drawing.Size(643, 352);
-      this.tpUserControl.TabIndex = 2;
-      this.tpUserControl.Text = "User Control";
-      this.tpUserControl.UseVisualStyleBackColor = true;
-      // 
-      // scUserControl
-      // 
-      this.scUserControl.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.scUserControl.Location = new System.Drawing.Point(3, 3);
-      this.scUserControl.Name = "scUserControl";
-      // 
-      // scUserControl.Panel1
-      // 
-      this.scUserControl.Panel1.Controls.Add(this.tvUserControl);
-      // 
-      // scUserControl.Panel2
-      // 
-      this.scUserControl.Panel2.Controls.Add(this.lvUserControl);
-      this.scUserControl.Size = new System.Drawing.Size(637, 346);
-      this.scUserControl.SplitterDistance = 139;
-      this.scUserControl.TabIndex = 1;
-      // 
-      // tvUserControl
-      // 
-      this.tvUserControl.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.tvUserControl.Location = new System.Drawing.Point(0, 0);
-      this.tvUserControl.Name = "tvUserControl";
-      this.tvUserControl.Size = new System.Drawing.Size(139, 346);
-      this.tvUserControl.TabIndex = 1;
-      this.tvUserControl.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.OnTVUserControlClicked);
-      // 
-      // lvUserControl
-      // 
-      this.lvUserControl.AllowDrop = true;
-      this.lvUserControl.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.lvUserControl.LargeImageList = this.ilUserControl;
-      this.lvUserControl.Location = new System.Drawing.Point(0, 0);
-      this.lvUserControl.Name = "lvUserControl";
-      this.lvUserControl.Size = new System.Drawing.Size(494, 346);
-      this.lvUserControl.TabIndex = 1;
-      this.lvUserControl.UseCompatibleStateImageBehavior = false;
-      this.lvUserControl.Click += new System.EventHandler(this.OnLVUserControlClicked);
-      // 
-      // ilUserControl
-      // 
-      this.ilUserControl.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilUserControl.ImageStream")));
-      this.ilUserControl.TransparentColor = System.Drawing.Color.Transparent;
-      this.ilUserControl.Images.SetKeyName(0, "Users.png");
       // 
       // plClientDetails
@@ -435,4 +301,129 @@
       this.pbClientControl.TabStop = false;
       // 
+      // tpJobControl
+      // 
+      this.tpJobControl.Controls.Add(this.scJobControl);
+      this.tpJobControl.Location = new System.Drawing.Point(4, 22);
+      this.tpJobControl.Name = "tpJobControl";
+      this.tpJobControl.Padding = new System.Windows.Forms.Padding(3);
+      this.tpJobControl.Size = new System.Drawing.Size(643, 352);
+      this.tpJobControl.TabIndex = 1;
+      this.tpJobControl.Text = "Job Control";
+      this.tpJobControl.UseVisualStyleBackColor = true;
+      // 
+      // scJobControl
+      // 
+      this.scJobControl.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.scJobControl.Location = new System.Drawing.Point(3, 3);
+      this.scJobControl.Name = "scJobControl";
+      // 
+      // scJobControl.Panel1
+      // 
+      this.scJobControl.Panel1.Controls.Add(this.tvJobControl);
+      // 
+      // scJobControl.Panel2
+      // 
+      this.scJobControl.Panel2.Controls.Add(this.lvJobControl);
+      this.scJobControl.Size = new System.Drawing.Size(637, 346);
+      this.scJobControl.SplitterDistance = 139;
+      this.scJobControl.TabIndex = 1;
+      // 
+      // tvJobControl
+      // 
+      this.tvJobControl.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.tvJobControl.Location = new System.Drawing.Point(0, 0);
+      this.tvJobControl.Name = "tvJobControl";
+      this.tvJobControl.Size = new System.Drawing.Size(139, 346);
+      this.tvJobControl.TabIndex = 2;
+      this.tvJobControl.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.OnTVJobControlClicked);
+      // 
+      // lvJobControl
+      // 
+      this.lvJobControl.AllowDrop = true;
+      this.lvJobControl.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.lvJobControl.LargeImageList = this.ilJobControl;
+      this.lvJobControl.Location = new System.Drawing.Point(0, 0);
+      this.lvJobControl.MultiSelect = false;
+      this.lvJobControl.Name = "lvJobControl";
+      this.lvJobControl.Size = new System.Drawing.Size(494, 346);
+      this.lvJobControl.TabIndex = 0;
+      this.lvJobControl.UseCompatibleStateImageBehavior = false;
+      this.lvJobControl.MouseMove += new System.Windows.Forms.MouseEventHandler(this.lvJobControl_MouseMove);
+      this.lvJobControl.Click += new System.EventHandler(this.OnLVJobControlClicked);
+      // 
+      // ilJobControl
+      // 
+      this.ilJobControl.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilJobControl.ImageStream")));
+      this.ilJobControl.TransparentColor = System.Drawing.Color.Transparent;
+      this.ilJobControl.Images.SetKeyName(0, "PlayHS.png");
+      // 
+      // tpUserControl
+      // 
+      this.tpUserControl.Controls.Add(this.scUserControl);
+      this.tpUserControl.Location = new System.Drawing.Point(4, 22);
+      this.tpUserControl.Name = "tpUserControl";
+      this.tpUserControl.Padding = new System.Windows.Forms.Padding(3);
+      this.tpUserControl.Size = new System.Drawing.Size(643, 352);
+      this.tpUserControl.TabIndex = 2;
+      this.tpUserControl.Text = "User Control";
+      this.tpUserControl.UseVisualStyleBackColor = true;
+      // 
+      // scUserControl
+      // 
+      this.scUserControl.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.scUserControl.Location = new System.Drawing.Point(3, 3);
+      this.scUserControl.Name = "scUserControl";
+      // 
+      // scUserControl.Panel1
+      // 
+      this.scUserControl.Panel1.Controls.Add(this.tvUserControl);
+      // 
+      // scUserControl.Panel2
+      // 
+      this.scUserControl.Panel2.Controls.Add(this.lvUserControl);
+      this.scUserControl.Size = new System.Drawing.Size(637, 346);
+      this.scUserControl.SplitterDistance = 139;
+      this.scUserControl.TabIndex = 1;
+      // 
+      // tvUserControl
+      // 
+      this.tvUserControl.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.tvUserControl.Location = new System.Drawing.Point(0, 0);
+      this.tvUserControl.Name = "tvUserControl";
+      this.tvUserControl.Size = new System.Drawing.Size(139, 346);
+      this.tvUserControl.TabIndex = 1;
+      this.tvUserControl.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.OnTVUserControlClicked);
+      // 
+      // plUserDetails
+      // 
+      this.plUserDetails.BackColor = System.Drawing.SystemColors.Window;
+      this.plUserDetails.Controls.Add(this.lblUserName);
+      this.plUserDetails.Controls.Add(this.btnUserControlClose);
+      this.plUserDetails.Controls.Add(this.pbUserControl);
+      this.plUserDetails.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.plUserDetails.Location = new System.Drawing.Point(0, 0);
+      this.plUserDetails.Name = "plUserDetails";
+      this.plUserDetails.Size = new System.Drawing.Size(494, 346);
+      this.plUserDetails.TabIndex = 2;
+      // 
+      // lblUserName
+      // 
+      this.lblUserName.AutoSize = true;
+      this.lblUserName.Location = new System.Drawing.Point(41, 13);
+      this.lblUserName.Name = "lblUserName";
+      this.lblUserName.Size = new System.Drawing.Size(67, 13);
+      this.lblUserName.TabIndex = 5;
+      this.lblUserName.Text = "lblUserName";
+      // 
+      // btnUserControlClose
+      // 
+      this.btnUserControlClose.Location = new System.Drawing.Point(414, 3);
+      this.btnUserControlClose.Name = "btnUserControlClose";
+      this.btnUserControlClose.Size = new System.Drawing.Size(75, 23);
+      this.btnUserControlClose.TabIndex = 4;
+      this.btnUserControlClose.Text = "Close";
+      this.btnUserControlClose.UseVisualStyleBackColor = true;
+      this.btnUserControlClose.Click += new System.EventHandler(this.btnUserControlClose_Click);
+      // 
       // pbUserControl
       // 
@@ -442,4 +433,44 @@
       this.pbUserControl.TabIndex = 3;
       this.pbUserControl.TabStop = false;
+      // 
+      // lvClientControl
+      // 
+      this.lvClientControl.AllowDrop = true;
+      this.lvClientControl.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.lvClientControl.ImeMode = System.Windows.Forms.ImeMode.Off;
+      this.lvClientControl.LargeImageList = this.ilClientControl;
+      this.lvClientControl.Location = new System.Drawing.Point(0, 0);
+      this.lvClientControl.MultiSelect = false;
+      this.lvClientControl.Name = "lvClientControl";
+      this.lvClientControl.Size = new System.Drawing.Size(494, 346);
+      this.lvClientControl.TabIndex = 0;
+      this.lvClientControl.UseCompatibleStateImageBehavior = false;
+      this.lvClientControl.Click += new System.EventHandler(this.OnLVClientClicked);
+      // 
+      // ilClientControl
+      // 
+      this.ilClientControl.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilClientControl.ImageStream")));
+      this.ilClientControl.TransparentColor = System.Drawing.Color.Transparent;
+      this.ilClientControl.Images.SetKeyName(0, "monitor-green.png");
+      this.ilClientControl.Images.SetKeyName(1, "monitor-orange.png");
+      this.ilClientControl.Images.SetKeyName(2, "monitor-red.png");
+      // 
+      // lvUserControl
+      // 
+      this.lvUserControl.AllowDrop = true;
+      this.lvUserControl.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.lvUserControl.LargeImageList = this.ilUserControl;
+      this.lvUserControl.Location = new System.Drawing.Point(0, 0);
+      this.lvUserControl.Name = "lvUserControl";
+      this.lvUserControl.Size = new System.Drawing.Size(494, 346);
+      this.lvUserControl.TabIndex = 1;
+      this.lvUserControl.UseCompatibleStateImageBehavior = false;
+      this.lvUserControl.Click += new System.EventHandler(this.OnLVUserControlClicked);
+      // 
+      // ilUserControl
+      // 
+      this.ilUserControl.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilUserControl.ImageStream")));
+      this.ilUserControl.TransparentColor = System.Drawing.Color.Transparent;
+      this.ilUserControl.Images.SetKeyName(0, "Users.png");
       // 
       // plJobDetails
@@ -606,35 +637,4 @@
       this.pbJobControl.TabStop = false;
       // 
-      // plUserDetails
-      // 
-      this.plUserDetails.BackColor = System.Drawing.SystemColors.Window;
-      this.plUserDetails.Controls.Add(this.lblUserName);
-      this.plUserDetails.Controls.Add(this.btnUserControlClose);
-      this.plUserDetails.Controls.Add(this.pbUserControl);
-      this.plUserDetails.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.plUserDetails.Location = new System.Drawing.Point(0, 0);
-      this.plUserDetails.Name = "plUserDetails";
-      this.plUserDetails.Size = new System.Drawing.Size(494, 346);
-      this.plUserDetails.TabIndex = 2;
-      // 
-      // lblUserName
-      // 
-      this.lblUserName.AutoSize = true;
-      this.lblUserName.Location = new System.Drawing.Point(41, 13);
-      this.lblUserName.Name = "lblUserName";
-      this.lblUserName.Size = new System.Drawing.Size(67, 13);
-      this.lblUserName.TabIndex = 5;
-      this.lblUserName.Text = "lblUserName";
-      // 
-      // btnUserControlClose
-      // 
-      this.btnUserControlClose.Location = new System.Drawing.Point(414, 3);
-      this.btnUserControlClose.Name = "btnUserControlClose";
-      this.btnUserControlClose.Size = new System.Drawing.Size(75, 23);
-      this.btnUserControlClose.TabIndex = 4;
-      this.btnUserControlClose.Text = "Close";
-      this.btnUserControlClose.UseVisualStyleBackColor = true;
-      this.btnUserControlClose.Click += new System.EventHandler(this.btnUserControlClose_Click);
-      // 
       // treeView2
       // 
@@ -683,4 +683,7 @@
       this.scClientControl.Panel2.ResumeLayout(false);
       this.scClientControl.ResumeLayout(false);
+      this.plClientDetails.ResumeLayout(false);
+      this.plClientDetails.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.pbClientControl)).EndInit();
       this.tpJobControl.ResumeLayout(false);
       this.scJobControl.Panel1.ResumeLayout(false);
@@ -691,13 +694,10 @@
       this.scUserControl.Panel2.ResumeLayout(false);
       this.scUserControl.ResumeLayout(false);
-      this.plClientDetails.ResumeLayout(false);
-      this.plClientDetails.PerformLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.pbClientControl)).EndInit();
+      this.plUserDetails.ResumeLayout(false);
+      this.plUserDetails.PerformLayout();
       ((System.ComponentModel.ISupportInitialize)(this.pbUserControl)).EndInit();
       this.plJobDetails.ResumeLayout(false);
       this.plJobDetails.PerformLayout();
       ((System.ComponentModel.ISupportInitialize)(this.pbJobControl)).EndInit();
-      this.plUserDetails.ResumeLayout(false);
-      this.plUserDetails.PerformLayout();
       ((System.ComponentModel.ISupportInitialize)(this.fileSystemWatcher1)).EndInit();
       this.ResumeLayout(false);
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs	(revision 1172)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs	(revision 1173)
@@ -74,7 +74,5 @@
     /// <param name="e"></param>
     private void TickSync(object obj, EventArgs e) {
-      AddClients();
-      AddJobs();
-      AddUsers();
+      Refresh();
     }
 
@@ -257,5 +255,5 @@
       lblJobCreated.Location = new Point(
         lblJobCreated.Location.X, yPos);
-      lblJobCreated.Text = "Created at "/* + currentJob.User.CreatedJob + */;
+      lblJobCreated.Text = "Created at " + currentJob.DateCreated;
       if (currentJob.ParentJob != null) {
         yPos += 20;
@@ -267,5 +265,5 @@
       lblPriorityJob.Location = new Point(
         lblPriorityJob.Location.X, yPos);
-      lblPriorityJob.Text = "Priority of job is " /* + currentJob.Priority */;
+      lblPriorityJob.Text = "Priority of job is " + currentJob.Priority;
       if (currentJob.Client != null) {
         yPos += 20;
@@ -276,12 +274,22 @@
         lblJobCalculationBegin.Location = new Point(
           lblJobCalculationBegin.Location.X, yPos);
-        lblJobCalculationBegin.Text = "Startet calculation at " /* + currentJob.User.CalculationBegin */;
+        lblJobCalculationBegin.Text = "Startet calculation at " + currentJob.DateCalculated ;
+        
+        if (currentJob.State == State.finished) {
+          yPos += 20;
+          lblJobCalculationEnd.Location = new Point(
+            lblJobCalculationEnd.Location.X, yPos);
+
+          IJobManager jobManager =
+            ServiceLocator.GetJobManager();
+
+          ResponseObject<JobResult> jobRes = jobManager.GetLasJobResultOf(currentJob.Id);
+
+          
+          lblJobCalculationEnd.Text = "Calculation ended at " + jobRes.Obj.DateFinished;
+        }
+      }                       
+      if (currentJob.State != State.offline) {
         yPos += 20;
-        lblJobCalculationEnd.Location = new Point(
-          lblJobCalculationEnd.Location.X, yPos);
-        lblJobCalculationEnd.Text = "Calculation ended at " /* + currentJob.User.CalculationEnd */;
-      }
-      if (currentJob.State != State.offline) {
-        yPos += 30;
         lvSnapshots.Location = new Point(
           lvSnapshots.Location.X, yPos);
Index: trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.resx
===================================================================
--- trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.resx	(revision 1172)
+++ trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.resx	(revision 1173)
@@ -121,4 +121,56 @@
     <value>32, 12</value>
   </metadata>
+  <metadata name="ilJobControl.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>471, 13</value>
+  </metadata>
+  <data name="ilJobControl.ImageStream" mimetype="application/x-microsoft.net.object.binary.base64">
+    <value>
+        AAEAAAD/////AQAAAAAAAAAMAgAAAFdTeXN0ZW0uV2luZG93cy5Gb3JtcywgVmVyc2lvbj0yLjAuMC4w
+        LCBDdWx0dXJlPW5ldXRyYWwsIFB1YmxpY0tleVRva2VuPWI3N2E1YzU2MTkzNGUwODkFAQAAACZTeXN0
+        ZW0uV2luZG93cy5Gb3Jtcy5JbWFnZUxpc3RTdHJlYW1lcgEAAAAERGF0YQcCAgAAAAkDAAAADwMAAACc
+        CQAAAk1TRnQBSQFMAwEBAAEEAQABBAEAASABAAEgAQAE/wEJAQAI/wFCAU0BNgEEBgABNgEEAgABKAMA
+        AYADAAEgAwABAQEAAQgGAAEQGAABgAIAAYADAAKAAQABgAMAAYABAAGAAQACgAIAA8ABAAHAAdwBwAEA
+        AfABygGmAQABMwUAATMBAAEzAQABMwEAAjMCAAMWAQADHAEAAyIBAAMpAQADVQEAA00BAANCAQADOQEA
+        AYABfAH/AQACUAH/AQABkwEAAdYBAAH/AewBzAEAAcYB1gHvAQAB1gLnAQABkAGpAa0CAAH/ATMDAAFm
+        AwABmQMAAcwCAAEzAwACMwIAATMBZgIAATMBmQIAATMBzAIAATMB/wIAAWYDAAFmATMCAAJmAgABZgGZ
+        AgABZgHMAgABZgH/AgABmQMAAZkBMwIAAZkBZgIAApkCAAGZAcwCAAGZAf8CAAHMAwABzAEzAgABzAFm
+        AgABzAGZAgACzAIAAcwB/wIAAf8BZgIAAf8BmQIAAf8BzAEAATMB/wIAAf8BAAEzAQABMwEAAWYBAAEz
+        AQABmQEAATMBAAHMAQABMwEAAf8BAAH/ATMCAAMzAQACMwFmAQACMwGZAQACMwHMAQACMwH/AQABMwFm
+        AgABMwFmATMBAAEzAmYBAAEzAWYBmQEAATMBZgHMAQABMwFmAf8BAAEzAZkCAAEzAZkBMwEAATMBmQFm
+        AQABMwKZAQABMwGZAcwBAAEzAZkB/wEAATMBzAIAATMBzAEzAQABMwHMAWYBAAEzAcwBmQEAATMCzAEA
+        ATMBzAH/AQABMwH/ATMBAAEzAf8BZgEAATMB/wGZAQABMwH/AcwBAAEzAv8BAAFmAwABZgEAATMBAAFm
+        AQABZgEAAWYBAAGZAQABZgEAAcwBAAFmAQAB/wEAAWYBMwIAAWYCMwEAAWYBMwFmAQABZgEzAZkBAAFm
+        ATMBzAEAAWYBMwH/AQACZgIAAmYBMwEAA2YBAAJmAZkBAAJmAcwBAAFmAZkCAAFmAZkBMwEAAWYBmQFm
+        AQABZgKZAQABZgGZAcwBAAFmAZkB/wEAAWYBzAIAAWYBzAEzAQABZgHMAZkBAAFmAswBAAFmAcwB/wEA
+        AWYB/wIAAWYB/wEzAQABZgH/AZkBAAFmAf8BzAEAAcwBAAH/AQAB/wEAAcwBAAKZAgABmQEzAZkBAAGZ
+        AQABmQEAAZkBAAHMAQABmQMAAZkCMwEAAZkBAAFmAQABmQEzAcwBAAGZAQAB/wEAAZkBZgIAAZkBZgEz
+        AQABmQEzAWYBAAGZAWYBmQEAAZkBZgHMAQABmQEzAf8BAAKZATMBAAKZAWYBAAOZAQACmQHMAQACmQH/
+        AQABmQHMAgABmQHMATMBAAFmAcwBZgEAAZkBzAGZAQABmQLMAQABmQHMAf8BAAGZAf8CAAGZAf8BMwEA
+        AZkBzAFmAQABmQH/AZkBAAGZAf8BzAEAAZkC/wEAAcwDAAGZAQABMwEAAcwBAAFmAQABzAEAAZkBAAHM
+        AQABzAEAAZkBMwIAAcwCMwEAAcwBMwFmAQABzAEzAZkBAAHMATMBzAEAAcwBMwH/AQABzAFmAgABzAFm
+        ATMBAAGZAmYBAAHMAWYBmQEAAcwBZgHMAQABmQFmAf8BAAHMAZkCAAHMAZkBMwEAAcwBmQFmAQABzAKZ
+        AQABzAGZAcwBAAHMAZkB/wEAAswCAALMATMBAALMAWYBAALMAZkBAAPMAQACzAH/AQABzAH/AgABzAH/
+        ATMBAAGZAf8BZgEAAcwB/wGZAQABzAH/AcwBAAHMAv8BAAHMAQABMwEAAf8BAAFmAQAB/wEAAZkBAAHM
+        ATMCAAH/AjMBAAH/ATMBZgEAAf8BMwGZAQAB/wEzAcwBAAH/ATMB/wEAAf8BZgIAAf8BZgEzAQABzAJm
+        AQAB/wFmAZkBAAH/AWYBzAEAAcwBZgH/AQAB/wGZAgAB/wGZATMBAAH/AZkBZgEAAf8CmQEAAf8BmQHM
+        AQAB/wGZAf8BAAH/AcwCAAH/AcwBMwEAAf8BzAFmAQAB/wHMAZkBAAH/AswBAAH/AcwB/wEAAv8BMwEA
+        AcwB/wFmAQAC/wGZAQAC/wHMAQACZgH/AQABZgH/AWYBAAFmAv8BAAH/AmYBAAH/AWYB/wEAAv8BZgEA
+        ASEBAAGlAQADXwEAA3cBAAOGAQADlgEAA8sBAAOyAQAD1wEAA90BAAPjAQAD6gEAA/EBAAP4AQAB8AH7
+        Af8BAAGkAqABAAOAAwAB/wIAAf8DAAL/AQAB/wMAAf8BAAH/AQAC/wIAA///AP8ADAADoX0AA6F9AAGm
+        AWUBpgKhewABZQEnAWUCoXsAAWUBKAENAWUBpgKheQABZQEoAicBZQKheQABZQMoAUgBZQGmAqF3AAFl
+        A0kBKAEnAWUCoXcAAWUESQEoAUgBZQGmAqF1AAFlAkkBTwJJASgBJwFlAqF1AAFmAUkDTwJJASgBSAFl
+        AaYCoXMAAYYBSQFPAXICTwJJASgBJwFlAqFzAAGGAk8BcgFQAk8CSQEoAUgBZQGmAqFxAAGGAU8BUAGX
+        AnICTwJJAigBZQKhcQABhgFPAXIDlwFQAk8CSQFmAaYCoXEAAYYBTwFyBJcBcgFPAUkBbAGnAcdzAAGG
+        AVABcgGXAXgBmAFyAU8CbAGGAccBoXMAAYYBUAFyAZcBmAEIAXIBSQFsAacBx3UAAYYBUAGXAZgBeAFy
+        AW0BbAGGAccBoXUAAYYBcgF4AQgBcgFJAWwBpwHHdwABhgNyAW0BbAGGAccBoXcAAYYBcgFPAUkBbAGn
+        Acd5AAGGAXICbAGGAccBoXkAAYYBcgGLAacBx3sAAYYBiwGGAccBoXsAAccBpwHHfQABoQHHAaH0AAFC
+        AU0BPgcAAT4DAAEoAwABgAMAASADAAEBAQABAQYAAQIWAAP/AQAE/wwABP8MAAT/DAAE/wwAAf8BjwL/
+        DAAB/wGPAv8MAAH/AYMC/wwAAf8BgwL/DAAB/wGAAv8MAAH/AYAC/wwAAf8BgAE/Af8MAAH/AYABPwH/
+        DAAB/wGAAQ8B/wwAAf8BgAEPAf8MAAH/AYABAwH/DAAB/wGAAQMB/wwAAf8BgAEAAf8MAAH/AYABAAH/
+        DAAB/wGAAQAB/wwAAf8BgAEDAf8MAAH/AYABAwH/DAAB/wGAAQ8B/wwAAf8BgAEPAf8MAAH/AYABPwH/
+        DAAB/wGAAT8B/wwAAf8BgAL/DAAB/wGAAv8MAAH/AYMC/wwAAf8BgwL/DAAB/wGPAv8MAAH/AY8C/wwA
+        BP8MAAs=
+</value>
+  </data>
   <metadata name="ilClientControl.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
     <value>129, 12</value>
@@ -215,13 +267,13 @@
 </value>
   </data>
-  <metadata name="ilJobControl.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
-    <value>471, 13</value>
-  </metadata>
-  <data name="ilJobControl.ImageStream" mimetype="application/x-microsoft.net.object.binary.base64">
+  <metadata name="ilUserControl.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>231, 9</value>
+  </metadata>
+  <data name="ilUserControl.ImageStream" mimetype="application/x-microsoft.net.object.binary.base64">
     <value>
         AAEAAAD/////AQAAAAAAAAAMAgAAAFdTeXN0ZW0uV2luZG93cy5Gb3JtcywgVmVyc2lvbj0yLjAuMC4w
         LCBDdWx0dXJlPW5ldXRyYWwsIFB1YmxpY0tleVRva2VuPWI3N2E1YzU2MTkzNGUwODkFAQAAACZTeXN0
-        ZW0uV2luZG93cy5Gb3Jtcy5JbWFnZUxpc3RTdHJlYW1lcgEAAAAERGF0YQcCAgAAAAkDAAAADwMAAACc
-        CQAAAk1TRnQBSQFMAwEBAAEEAQABBAEAASABAAEgAQAE/wEJAQAI/wFCAU0BNgEEBgABNgEEAgABKAMA
+        ZW0uV2luZG93cy5Gb3Jtcy5JbWFnZUxpc3RTdHJlYW1lcgEAAAAERGF0YQcCAgAAAAkDAAAADwMAAACs
+        CwAAAk1TRnQBSQFMAwEBAAEFAQABBAEAASABAAEgAQAE/wEJAQAI/wFCAU0BNgEEBgABNgEEAgABKAMA
         AYADAAEgAwABAQEAAQgGAAEQGAABgAIAAYADAAKAAQABgAMAAYABAAGAAQACgAIAA8ABAAHAAdwBwAEA
         AfABygGmAQABMwUAATMBAAEzAQABMwEAAjMCAAMWAQADHAEAAyIBAAMpAQADVQEAA00BAANCAQADOQEA
@@ -251,97 +303,26 @@
         AcwB/wFmAQAC/wGZAQAC/wHMAQACZgH/AQABZgH/AWYBAAFmAv8BAAH/AmYBAAH/AWYB/wEAAv8BZgEA
         ASEBAAGlAQADXwEAA3cBAAOGAQADlgEAA8sBAAOyAQAD1wEAA90BAAPjAQAD6gEAA/EBAAP4AQAB8AH7
-        Af8BAAGkAqABAAOAAwAB/wIAAf8DAAL/AQAB/wMAAf8BAAH/AQAC/wIAA///AP8ADAADoX0AA6F9AAGm
-        AWUBpgKhewABZQEnAWUCoXsAAWUBKAENAWUBpgKheQABZQEoAicBZQKheQABZQMoAUgBZQGmAqF3AAFl
-        A0kBKAEnAWUCoXcAAWUESQEoAUgBZQGmAqF1AAFlAkkBTwJJASgBJwFlAqF1AAFmAUkDTwJJASgBSAFl
-        AaYCoXMAAYYBSQFPAXICTwJJASgBJwFlAqFzAAGGAk8BcgFQAk8CSQEoAUgBZQGmAqFxAAGGAU8BUAGX
-        AnICTwJJAigBZQKhcQABhgFPAXIDlwFQAk8CSQFmAaYCoXEAAYYBTwFyBJcBcgFPAUkBbAGnAcdzAAGG
-        AVABcgGXAXgBmAFyAU8CbAGGAccBoXMAAYYBUAFyAZcBmAEIAXIBSQFsAacBx3UAAYYBUAGXAZgBeAFy
-        AW0BbAGGAccBoXUAAYYBcgF4AQgBcgFJAWwBpwHHdwABhgNyAW0BbAGGAccBoXcAAYYBcgFPAUkBbAGn
-        Acd5AAGGAXICbAGGAccBoXkAAYYBcgGLAacBx3sAAYYBiwGGAccBoXsAAccBpwHHfQABoQHHAaH0AAFC
-        AU0BPgcAAT4DAAEoAwABgAMAASADAAEBAQABAQYAAQIWAAP/AQAE/wwABP8MAAT/DAAE/wwAAf8BjwL/
-        DAAB/wGPAv8MAAH/AYMC/wwAAf8BgwL/DAAB/wGAAv8MAAH/AYAC/wwAAf8BgAE/Af8MAAH/AYABPwH/
-        DAAB/wGAAQ8B/wwAAf8BgAEPAf8MAAH/AYABAwH/DAAB/wGAAQMB/wwAAf8BgAEAAf8MAAH/AYABAAH/
-        DAAB/wGAAQAB/wwAAf8BgAEDAf8MAAH/AYABAwH/DAAB/wGAAQ8B/wwAAf8BgAEPAf8MAAH/AYABPwH/
-        DAAB/wGAAT8B/wwAAf8BgAL/DAAB/wGAAv8MAAH/AYMC/wwAAf8BgwL/DAAB/wGPAv8MAAH/AY8C/wwA
-        BP8MAAs=
-</value>
-  </data>
-  <metadata name="ilUserControl.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
-    <value>231, 9</value>
-  </metadata>
-  <data name="ilUserControl.ImageStream" mimetype="application/x-microsoft.net.object.binary.base64">
-    <value>
-        AAEAAAD/////AQAAAAAAAAAMAgAAAFdTeXN0ZW0uV2luZG93cy5Gb3JtcywgVmVyc2lvbj0yLjAuMC4w
-        LCBDdWx0dXJlPW5ldXRyYWwsIFB1YmxpY0tleVRva2VuPWI3N2E1YzU2MTkzNGUwODkFAQAAACZTeXN0
-        ZW0uV2luZG93cy5Gb3Jtcy5JbWFnZUxpc3RTdHJlYW1lcgEAAAAERGF0YQcCAgAAAAkDAAAADwMAAAD4
-        DwAAAk1TRnQBSQFMAwEBAAEEAQABBAEAATABAAEwAQAE/wEJAQAI/wFCAU0BNgEEBgABNgEEAgABKAMA
-        AcADAAEwAwABAQEAAQgGAAEkGAABgAIAAYADAAKAAQABgAMAAYABAAGAAQACgAIAA8ABAAHAAdwBwAEA
-        AfABygGmAQABMwUAATMBAAEzAQABMwEAAjMCAAMWAQADHAEAAyIBAAMpAQADVQEAA00BAANCAQADOQEA
-        AYABfAH/AQACUAH/AQABkwEAAdYBAAH/AewBzAEAAcYB1gHvAQAB1gLnAQABkAGpAa0CAAH/ATMDAAFm
-        AwABmQMAAcwCAAEzAwACMwIAATMBZgIAATMBmQIAATMBzAIAATMB/wIAAWYDAAFmATMCAAJmAgABZgGZ
-        AgABZgHMAgABZgH/AgABmQMAAZkBMwIAAZkBZgIAApkCAAGZAcwCAAGZAf8CAAHMAwABzAEzAgABzAFm
-        AgABzAGZAgACzAIAAcwB/wIAAf8BZgIAAf8BmQIAAf8BzAEAATMB/wIAAf8BAAEzAQABMwEAAWYBAAEz
-        AQABmQEAATMBAAHMAQABMwEAAf8BAAH/ATMCAAMzAQACMwFmAQACMwGZAQACMwHMAQACMwH/AQABMwFm
-        AgABMwFmATMBAAEzAmYBAAEzAWYBmQEAATMBZgHMAQABMwFmAf8BAAEzAZkCAAEzAZkBMwEAATMBmQFm
-        AQABMwKZAQABMwGZAcwBAAEzAZkB/wEAATMBzAIAATMBzAEzAQABMwHMAWYBAAEzAcwBmQEAATMCzAEA
-        ATMBzAH/AQABMwH/ATMBAAEzAf8BZgEAATMB/wGZAQABMwH/AcwBAAEzAv8BAAFmAwABZgEAATMBAAFm
-        AQABZgEAAWYBAAGZAQABZgEAAcwBAAFmAQAB/wEAAWYBMwIAAWYCMwEAAWYBMwFmAQABZgEzAZkBAAFm
-        ATMBzAEAAWYBMwH/AQACZgIAAmYBMwEAA2YBAAJmAZkBAAJmAcwBAAFmAZkCAAFmAZkBMwEAAWYBmQFm
-        AQABZgKZAQABZgGZAcwBAAFmAZkB/wEAAWYBzAIAAWYBzAEzAQABZgHMAZkBAAFmAswBAAFmAcwB/wEA
-        AWYB/wIAAWYB/wEzAQABZgH/AZkBAAFmAf8BzAEAAcwBAAH/AQAB/wEAAcwBAAKZAgABmQEzAZkBAAGZ
-        AQABmQEAAZkBAAHMAQABmQMAAZkCMwEAAZkBAAFmAQABmQEzAcwBAAGZAQAB/wEAAZkBZgIAAZkBZgEz
-        AQABmQEzAWYBAAGZAWYBmQEAAZkBZgHMAQABmQEzAf8BAAKZATMBAAKZAWYBAAOZAQACmQHMAQACmQH/
-        AQABmQHMAgABmQHMATMBAAFmAcwBZgEAAZkBzAGZAQABmQLMAQABmQHMAf8BAAGZAf8CAAGZAf8BMwEA
-        AZkBzAFmAQABmQH/AZkBAAGZAf8BzAEAAZkC/wEAAcwDAAGZAQABMwEAAcwBAAFmAQABzAEAAZkBAAHM
-        AQABzAEAAZkBMwIAAcwCMwEAAcwBMwFmAQABzAEzAZkBAAHMATMBzAEAAcwBMwH/AQABzAFmAgABzAFm
-        ATMBAAGZAmYBAAHMAWYBmQEAAcwBZgHMAQABmQFmAf8BAAHMAZkCAAHMAZkBMwEAAcwBmQFmAQABzAKZ
-        AQABzAGZAcwBAAHMAZkB/wEAAswCAALMATMBAALMAWYBAALMAZkBAAPMAQACzAH/AQABzAH/AgABzAH/
-        ATMBAAGZAf8BZgEAAcwB/wGZAQABzAH/AcwBAAHMAv8BAAHMAQABMwEAAf8BAAFmAQAB/wEAAZkBAAHM
-        ATMCAAH/AjMBAAH/ATMBZgEAAf8BMwGZAQAB/wEzAcwBAAH/ATMB/wEAAf8BZgIAAf8BZgEzAQABzAJm
-        AQAB/wFmAZkBAAH/AWYBzAEAAcwBZgH/AQAB/wGZAgAB/wGZATMBAAH/AZkBZgEAAf8CmQEAAf8BmQHM
-        AQAB/wGZAf8BAAH/AcwCAAH/AcwBMwEAAf8BzAFmAQAB/wHMAZkBAAH/AswBAAH/AcwB/wEAAv8BMwEA
-        AcwB/wFmAQAC/wGZAQAC/wHMAQACZgH/AQABZgH/AWYBAAFmAv8BAAH/AmYBAAH/AWYB/wEAAv8BZgEA
-        ASEBAAGlAQADXwEAA3cBAAOGAQADlgEAA8sBAAOyAQAD1wEAA90BAAPjAQAD6gEAA/EBAAP4AQAB8AH7
-        Af8BAAGkAqABAAOAAwAB/wIAAf8DAAL/AQAB/wMAAf8BAAH/AQAC/wIAA//gAAihuAAIobIAAqEChQGm
-        CoYBpgGFAqGqAAOhAqcChgGLAa4BzwW0Aq4CiwKGAccDoacAAaEBhQEEAa4BtQoJAbsBCQG7AbUCtAGL
-        AaYCoaUAAaEBhQGGAYsBzwG1AgkDuwQJArsCtQW0AYYBhQGhpAACoQGGAYsCtAMJAbsCtQa7ArUDtAG1
-        AbQBiwEEAqGjAAGFAYYBtAK7AbQBuwEHAQkBuwG1ArsDCQO7ArUEtAGLAQQBhQGhmAAIoQMAAaYBrQG1
-        ArsBtAG1AQcB3QS7BAkDuwG1BLQBiwEEAYUBoZIAEaEBhgGtAbsBCQG1AbQBtQEHARkBCQK7BgkCuwG1
-        BLQBiwEEAqGSAAOhAoULBAGFAYYBiwG7AQkBuwG1Ae8BBwHzAgkBuwYJArsCtQK0AZEBhgGFAqGRAAKh
-        AYYBZgFsAeoBbQLqAW0C6gJtAesB6gESARMBbAGuAbUBCQG7ArUBBwHzAd0BCQG7BwkCuwG1ArQBrgGG
-        A6GQAAKhAYYB6ghyAVACcwGSAXMCUAFyAZEBtAG7AQkBuwG1AQcB8wEZCQkCuwG1ArQBiwGGAqGRAAGh
-        AYYBbQR4BXMBcgFzARwB7wJzAVABcgGRAbQCCQG7AbUBBwHzAfQBGQgJArsBtQK0AYYBhZMAAaEBiwFy
-        AngHcwFyAXMBHAHvARwBcwFQAnIBtAMJAbUB7wG8AvAICQK7AbUCtAGnAaGTAAGhAa4BcwJ4AnMDeAJz
-        AXIBHAHvAQcBHAFzAVEBUAFyAZEBuwHcAQkBuwH3AxwB7wK7BAkDuwK0AYsBpwGhkwABoQGuAXMIeAJz
-        AZgBBwG8ARwCcwFQAnIBuwEJARkBuwHsBEsB7AG1AbsCCQS7AbQBiwGFAaGUAAGhAYsB7QGYCXgBCAHw
-        AbwBmAFzAXgBcwJyAZEBuwHcAbUB7AFLAkoCSwHsAZIBtQMJAbUBtAGtAacCoZQAAaEBiwHtAZkIeAGY
-        AQgB8QEIAZgBcwF4AXMBcgFQAXIBkQK0AewBSwFKA0QBSwHsAZEBtAG1AbQBzwGtAacBoZcAAYYB7AGf
-        AZgHeAGYAcIB8QEHAZgCeAFzAXICUAHqAYsC6wFLAUoDRAFKAUsB7AGRAbQBiwGGAqGYAAHHAa4CmQGY
-        BngBHAEHAe8BHAFzAnIBcwNyAeoBEgHqAUoBSwJKAkQBSgFLAW0BiwKnA6GYAAGhAYYBkgGYAZkEeAJz
-        ARwBkwEcAXMCcgFQBHIB6gJKBEsBSgFEAUoBSwFmAYYCoZwAAaEBhgGSAZkBmAN4AnMDdAFzAW0BSgFQ
-        A3ICbQdLA0oBhgGhngACoQGLAewDeAFyAnMCdAJzA0oB6gFsAYsBbQFuCEsCSgGGAaGeAAKhAacBiwGR
-        AnIBUAJzAXQBcwJuAeoBEwEUA4YBrgVuBUsB6gGGAaGhAAGhAacBbAHqAUoFbgHqAWYBZQEEAqEBpwGN
-        BXMCbgNLAUoBhgGhoQACoQFmARIBSgFLAW4CdAFuAW0DZgGFAaEBhgHsBXQBcwJuA0sBEgGGAqGfAAGh
-        AYUBZgESAUoBSwFzA3QBbgFtARMBFAFmAYUBhgHsBnQBcwJuAksBRAFmAYYBoZ4AAaEBhQFmAeoCSwFz
-        AXQCkwN0AUsBSgFmAWABhgHsAZMGdAFzAW4CSwFKARQBhgGhngABoQGGAW4DSwF0AZMBmQOTAXQBcwFL
-        AmYBhgHtApkCkwR0AW4BSwFKAUQBFAFmAYWeAAGFAWYBcwJLAXMBkwWZAZMBdAFLAmYBhgGSBJkBkwN0
-        AW4BSgETARQBFQEUAYUBoZ0AAYYB6gF0AksBdAGZA5oDmQF0AUsBZgKGAfcCmgOZA3QBbgFKAxUBFAGG
-        AaGdAAGGAeoBdAFRAXMBmQWaApkBdAHqAYYCpwHvBJoBmQGTAnQBbgFKAxUBFAGGAaGdAAGGAW0BdAFz
-        AXQBmgMaA5oBmQEcARIBhgGhAacB9wWZAZMCdAFuARIDFQEUAYUBoZ0AAYYBbQJ0AZMFGgKaAZkBHAFn
-        AaICoQHPARwBdAKTAnQBcwFuAeoBEwEUAhUBZgGFngABhgFtA3QBGgPDARoCmgGZARwBEgGGAaEBpwGu
-        BuwB6wFtAeoBEgETAhUBZgGhngABogGuAXQBcwF0AZkBGgLDAhoBmgGZARwBEgGGAaEBpwGuBewB6wFt
-        AuoBEgETARUBZgGGAaGeAAGhAYYBdAJzARwCGgHDAhoBmgGZAXQBZwGiAqEBzwGuA+wC6wJtAeoBEgIU
-        AWYBpwGhngABoQGGAewBHAJ0AXMDdAOTAXMBEwGGAqEDpwKuAusCbQLqAWYChgKhngABoQGnAa4BHAGZ
-        AXQBcwJRAnMBdAFzAW4BRAFmAYUDoQKnCIYBpwGhoQABoQGGAe8BGgKZAXQBcwFRA0sBSgFLAUQBZgGF
-        AaEFAAWhpAACoQGvAbwBGgGaApkBeQV0AVEBEgEEAaEFAAShpQACoQGnAbUBvAEaBJkBeQIcAXMB6wGM
-        AYUBobAAAaEBpwHPAfcB7wOZARwBcwHrAa4BhgGhsgACoQOnBYYCpwKhtQAIof8AbwABQgFNAT4HAAE+
-        AwABKAMAAcADAAEwAwABAQEAAQEFAAGAAQQWAAP/AQAG/xIAA/8B/gEBAf8SAAP/Af4BAQH/EgAD/wGA
-        AQABDxIAAv8B/AIAAQESAAL/AfwCAAEBEgAC/wHwAgABARIAAv8B4BUAAv8B4BUAAf8BAAHgFQABwBcA
-        AcAXAAGAHAABARcAAQcXAAEHFwABBxcAAQ8XAAEPFwABPxIAAYAEAAF/EgABgAQAAX8SAAGAAwABAwH/
-        EgABwAMAAQ8B/xIAAcADAAEPAf8SAAHAAwABDwH/EgAB+AMAAQ8B/xIAAfgDAAEDAf8SAAH4AwABAwH/
-        EgAB8AMAAQMB/xIAAfADAAEDAf8SAAHwAwABAQH/EgAB8AMAAQEB/xIAAfADAAEBAf8SAAHwAwABAQH/
-        EgAB8AMAAQMB/xIAAfADAAEDAf8SAAHwAwABAwH/EgAB8AMAAQMB/xIAAfADAAEDAf8SAAHwAwABDwH/
-        EgAB+AEAAQEB8AF/Af8SAAH4AQABAQHwAv8SAAH4AQABAQP/EgAB/gEAAQcD/xIAAf4BAAEHA/8SAAH/
-        AcABPwP/EgAG/xIACw==
+        Af8BAAGkAqABAAOAAwAB/wIAAf8DAAL/AQAB/wMAAf8BAAH/AQAC/wIAA/8WAAWhewAFoXUAAqEBpwOG
+        BK0DhgGnA6FvAAGhAQQBtQcJArsBtQG0AYYCoW0AAaEBhgGLAbQCCQa7AbUCtAG1Aa0BBAGhbQABhgG0
+        AbsBtAEHAQkDuwEJA7sBtQK0AbMBBAGhYQAMoQGnArsBtAHvARkCuwMJArsBtQK0AbMBBAGhYQADoQGF
+        BwQBhQGGArsBtQEHAfMBCQG7BAkBuwK1AbQBiwGFAaFgAAKhAeoBbARtAUoB6wHsAW0BSgGRAbUCuwHv
+        AfMB3QG7BAkCuwG1AbQBhgKhYAABoQGGA3gDcwFyARwB7wFzAVABkQG0AQkBuwHvAfMBGQUJArsBtQG0
+        AYZiAAGhAesCeAFzAngBcwFyARwBBwEcAVEBcgG0AgkC7wEHArsDCQK7AbQBswGnYgABoQHsBngBcwHv
+        AbwBHAFzAVABcgG7ARkB9wNLAfcBuwEJA7sBswGFAaFiAAGhAa4BmQV4AZgBvAEIARwBeAFzAVABkQG7
+        Ae0BSwFKAUUBSwHtAbUBCQG1AbMBpwKhYwABrgGfAZgEeAGYAfEBBwGYAXgBcwFQAUoBiwHrAUsDRAFL
+        AZEBtAGGAqFlAAGnARwBmQR4ARwB7wEcAXIBUAJyAW0BEgFKAksCRAFLAYYBpwOhZQABoQGGARwBmAJ4
+        AXMCdAFzAeoBUAJyAW0FSwJKAadpAAKhAYsBmAF4AVABcwF0AnMBEgETAWYBhgHrBksB6gGnawABoQGn
+        AeoBSgNuAeoBZgEEAaEBpwHsA3MBbgJLAUoBp2sAAqEBEwFKAUsCdAFuAWYBFAGFAYYBcwN0AXMBbgJL
+        AWYBpwGhaQABoQFmAUoBSwF0ApMBdAFSAUoBZgGGAZIEdAFzAksBEwGGAaFpAAGGAXMBSwFRAZMDmQF0
+        AUsBZgGGARwCmQGTAnQBSwESAhQBoWkAAeoBdAFLAXQBmQGaA5kBSwKGAZkBmgKZAnQBSwIVARQBp2kA
+        AeoBdAFzAZkCGgGaAZkBHAHqAqcEmQGTAXQBbQIVARQBoWkAAYYBdAGTBBoBmgGZAWcBxAGhAe0BdAGT
+        AnQBbgESARQBFQFmAaFpAAGGAnQBGgLDARoBmgGZARICpwGuA+wB6wFtAeoBEwEUAYYBoWkAAacBdAFz
+        ARwBGgHDARoBmgGZAWcBxAGhAc8C7AHrAm0B6gIUAacBoWkAAacBrgEcAXQBcwFSAXQBkwFzARMBhgGh
+        AqcBhgKuAYYB6gGGAacCoWkAAaEBhgHuApkBcwFRA0sBFAGFAaEDAAOhbQACoQG1AfADmQF5ARwBdAFt
+        AQQBoQMAA6FvAAGnAc8B7wKZARwBcwGuAad3AAGhB6cBofIAAUIBTQE+BwABPgMAASgDAAGAAwABIAMA
+        AQEBAAEBBgABAhYAA/8BAAL/AfgBPwwAAv8B+AE/DAAB/wH+DgAB/wH+DgAB/wH4DgAB/wH4DgABgA8A
+        AYAiAAEDDwABAw8AAQMPAAEDDAABgAIAAQ8MAAGAAgABDwwAAYACAAH/DAABgAIAAf8MAAHgAgAB/wwA
+        AeACAAE/DAAB4AIAAT8MAAHgAgABPwwAAeACAAE/DAAB4AIAAT8MAAHgAgABPwwAAeACAAE/DAAB4AIA
+        AT8MAAHgAgABPwwAAeABAAHjAf8MAAHgAQAB4wH/DAAB+AEDAv8MAAH4AQMC/wwABP8MAAs=
 </value>
   </data>
Index: trunk/sources/HeuristicLab/MainForm.resx
===================================================================
--- trunk/sources/HeuristicLab/MainForm.resx	(revision 1172)
+++ trunk/sources/HeuristicLab/MainForm.resx	(revision 1173)
@@ -119,5 +119,5 @@
   </resheader>
   <metadata name="largeImageList.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
-    <value>17, 17</value>
+    <value>20, 15</value>
   </metadata>
   <data name="largeImageList.ImageStream" mimetype="application/x-microsoft.net.object.binary.base64">
